HP-UX ftpd glob() Expansion STAT Buffer Overflow

This script is Copyright (C) 2003-2014 Tenable Network Security, Inc.


Synopsis :

The remote FTP server is affected by a buffer overflow
vulnerability.

Description :

The remote HPUX 11 FTP server is affected by a buffer overflow
vulnerability. The overflow occurs when the STAT command is issued with
an argument that expands into an oversized string after being processed
by the 'globa()' function.

See also :

http://archives.neohapsis.com/archives/tru64/2002-q3/0017.html

Solution :

Apply the patch from your vendor.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.4
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: FTP

Nessus Plugin ID: 11372 (hpftp_glob_stat.nasl)

Bugtraq ID: 2552

CVE ID: CVE-2001-0248